Author Topic: [FF7PC-98] Installer Remake - Tom's Installer [Works on Windows 10!] (1.5.0)  (Read 23371 times)

Covarr

  • Covarr-Let
  • Administrator
  • No life
  • *
  • Posts: 3871
  • Karma: 113
  • The Great Redarr.
    • View Profile
I just downloaded the installer and tried it on my FF7 ISO.
Where did you get this ISO?

Jahiliyyah

  • Fast newbie
  • *
  • Posts: 49
  • Karma: 7
    • View Profile
Where did you get this ISO?

I'm sure he was just sick of physical media and scratched discs, so he made his own.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Tom's Installer 1.4.0
The biggest release yet!
Now uses my Installer Coordinator engine to power the installer!
With more new functions than you can count on both hands!
Fixes File Not Found Bug that Pooka was complaining about!
Brand new select folder prompt that PREVENTS you from selecting the wrong folder since all you can select is drives!

Download version 1.4.0 here:
http://www.mediafire.com/download/042l1bq9usybhe5/Toms_Installer1.4.0.zip


Tom's Installer 1.4.1
Another great release for the Installer!
Look at the changelog for details :)

Download version 1.4.1 here:
http://www.mediafire.com/download/t38k681mmse61ra/Toms_Installer1.4.1.zip


Also cheers to whoever finds and comments on the new "Ignore" error button and its image :P
« Last Edit: 2015-10-12 16:01:02 by Tom »

Yuffie1983

  • Crazy poster
  • *
  • Posts: 133
  • Karma: 5
    • View Profile
I do not understand the point of this pro gramme, I can install the original 4 disk version of FF7 on windows 10, plus I can fully mod it too with Final Heaven.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
I do not understand the point of this pro gramme, I can install the original 4 disk version of FF7 on windows 10, plus I can fully mod it too with Final Heaven.

Do you use the 32 bit version of Windows 10?

Yuffie1983

  • Crazy poster
  • *
  • Posts: 133
  • Karma: 5
    • View Profile
Do you use the 32 bit version of Windows 10?

64 bit version.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Well maybe they launched an update to fix it but it was broken for a while and this fixes it for people without that update.  It also adds a bunch of new features like automatic patching of your game so it doesn't randomly crash at the Chocobo Races and also updates your game to the latest version of the Executable, 1.02!  Plus its written in a much better way than InstallShield 5.5 and leaves less junk on your system.

sithlord48

  • No life
  • *
  • Posts: 1416
  • Karma: 33
  • Dark Lord of the Savegame
    • View Profile
    • Blackchocobo

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Yeah but not everyone uses OpenGL driver, some laptops graphics cards have trouble with it.  Plus you can always install Aalis mod ontop of the chocobo patch, so you never really lose anything by having it.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Since the installer is mostly complete and only needs updates when something breaks, I would like to know what all of you wanna see added to the installer as in features etc.

Hellbringer616

  • No life
  • *
  • Posts: 1915
  • Karma: 12
    • View Profile
An option to install all the movies and set the proper registry keys would be a nice touch, though i think that requires you to also switch discs.

As well as an option to install Aali's driver on run (with his permission of course)

Kaldarasha

  • No life
  • *
  • Posts: 2055
  • Karma: 121
  • Prince of Model Editing
    • View Profile
I can't select the device where I want to install the game. There is only Program (x86) available for the install.

For the movies and Aali's driver I would recommend to use mod folder and a xml file, which tells the installer where (and how, if necessary) to install a mod. The movies from the disc are garbage anyway.

Edit1:
After the installation there is no data drive selected in the registry. Same as MoviePath.

Edit2:
My next problem is that the patch only installs the 1.02 ff7.exe for the English game.
« Last Edit: 2015-10-25 12:33:03 by Kaldarasha »

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Tom's Installer 1.4.2

You can download it here:
http://www.mediafire.com/download/au4dgzaq9jtchza/Toms_Installer1.4.2.zip

It now lets you select paths outside of Program Files (x86) however do so at your own risk...
Also fixes the registry bug that DataDrive was not set properly.

Kaldarasha

  • No life
  • *
  • Posts: 2055
  • Karma: 121
  • Prince of Model Editing
    • View Profile
Nice! :)

A question which not realy belongs to that:
Is it possible to remove the CD check from the FF7.exe? I think it doesn't much matter if we use a mounted blank image, anyCD.dll and HextLaunch (or the multi.dll) when we could make simple hext file

Covarr

  • Covarr-Let
  • Administrator
  • No life
  • *
  • Posts: 3871
  • Karma: 113
  • The Great Redarr.
    • View Profile
Is it possible to remove the CD check from the FF7.exe?
Let's not. As hideously simple as FF7's CD check is, and frankly unnecessary these days considering most people who encounter it are using converted Steam versions that they bought legally, removing it is still against the law in most places (in the US it's a DMCA violation) and I'd rather keep things on the up-and-up for anything distributed on these forums.

Kaldarasha

  • No life
  • *
  • Posts: 2055
  • Karma: 121
  • Prince of Model Editing
    • View Profile
Let's not. As hideously simple as FF7's CD check is, and frankly unnecessary these days considering most people who encounter it are using converted Steam versions that they bought legally, removing it is still against the law in most places (in the US it's a DMCA violation) and I'd rather keep things on the up-and-up for anything distributed on these forums.

The CD check will still be there in the exe, that's why I suggest a hext patch. For me is the blank iso method pretty much the same solution. Well I need to think about that...   :-\
I simply hate to have a virtual drive or the CD in the drive for only one game.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
But it uses the CD to load the movies... (and battles if you didn't install max)

Kaldarasha

  • No life
  • *
  • Posts: 2055
  • Karma: 121
  • Prince of Model Editing
    • View Profile
So I encountered a problem: for some reasons even after installing the german 1.02 ff7.exe the game doesn't start. I used the original installer and installed the game to a different location and I was able to start the game. Are there some region specific settings? The registry entries doesn't look different.

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
The data is different in the German CD I think.  Check to see if all the file names in the CD are the same.  You can't use an english flevel.lgp with a german .exe

Kaldarasha

  • No life
  • *
  • Posts: 2055
  • Karma: 121
  • Prince of Model Editing
    • View Profile
Well you can if you remove the 'g' at the beginning. The language sensitive files are mainly the minigames. The thing is that I installed the game from my german CDs so they shouldn't any english files there, except the ff7.exe and config of the patch. Or do the new installer change more files?

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
The installer is not file name sensitive, meaning it will install any files on the CD-ROM you have/add/modify.  It was done this way to support modded discs.  Install the game once with your German discs but make sure you remove all traces of previous installs.  Then post the differences you see in the registry so I can add them.

Toppanzoo

  • Cool newbie
  • *
  • Posts: 70
  • Karma: 2
    • View Profile
Installer worked, but running ff7.exe I got no opening video but only start screen in very small size looking like 800x600 in my PC having 1600x900 screen size.
1. Any suggestion to fix this ?
  In Windows 7SP1 64bit, with Aalli's open GL, ff7.exe worked well but in W10 you are only hope.
2. W10 already has .NET Framework 4.6 not 4.0 , but your note said "Requires .NET Framework 4.0" how I can install it over .NET Framework 4.6 in Windows 10 ?

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
Having a newer .NET framework means you can run previous version's applications as well so 4.0 applications work on 4.6 and 4.5.  I can't help you with your screen resolution since that is not covered or messed with by the installer.  Officially you can set it to 640x480 and 320x240.  Running the game in a higher resolution won't help you much since everything was made for 640x480.

Try playing the game with the default DirectX driver instead of Aali's driver and see if it works.  If everything works with the default driver we might be able to work out a solution.  Make sure you install the 1.02 update AND the Chocobo patch (they are tick boxes in the installer)
« Last Edit: 2015-11-05 17:54:49 by Tom »

Toppanzoo

  • Cool newbie
  • *
  • Posts: 70
  • Karma: 2
    • View Profile
Thank you for replying my question.
I figured out that I forgot to run "ff7config.exe" to set screen 640x480 16bpp (Full Screen )and got "quarter" size of the game.

And as for FMVs or opening screen, I ran tm20decSetup.exe 108 KB (111,390 byte), i.e. true motion codec 2, and got worked.
My issue is now closed.
« Last Edit: 2015-11-07 22:04:08 by Toppanzoo »

Tom

  • Crazy poster
  • *
  • Posts: 205
  • Karma: 38
    • View Profile
You can use full screen 640x480 :)